Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS > Class Template Reference

`#include <ITypedScalarProperty.h>`

Inherits Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty.

Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >:
[legend]

## Public Types

typedef TRAITS | traits_type
typedef ITypedScalarProperty< TRAITS > | this_type
typedef TRAITS::value_type | value_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty
typedef IScalarProperty | this_type

## Public Member Functions

| ITypedScalarProperty ()
| ITypedScalarProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ITypedScalarProperty (AbcA::ScalarPropertyReaderPtr iProperty, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ITypedScalarProperty (AbcA::ScalarPropertyReaderPtr iProp, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| Deprecated in favor of the constructor above.
void | get (value_type &iVal, const ISampleSelector &iSS=ISampleSelector()) const
value_type | getValue (const ISampleSelector &iSS=ISampleSelector()) const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty
| IScalarProperty ()
| IScalarProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~IScalarProperty ()
size_t | getNumSamples () const
bool | isConstant () const
AbcA::TimeSamplingPtr | getTimeSampling () const
void | get (void *oSample, const ISampleSelector &iSS=ISampleSelector()) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::ScalarPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Static Public Member Functions

static const char * | getInterpretation ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Additional Inherited Members

Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
AbcA::ScalarPropertyReaderPtr | m_property

## Detailed Description

template<class TRAITS>
class Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >

Definition at line 49 of file ITypedScalarProperty.h.

## Member Typedef Documentation

## this_type

template<class TRAITS>

typedef ITypedScalarProperty<TRAITS> Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::this_type

Definition at line 56 of file ITypedScalarProperty.h.

## traits_type

template<class TRAITS>

typedef TRAITS Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::traits_type

Definition at line 55 of file ITypedScalarProperty.h.

## value_type

template<class TRAITS>

typedef TRAITS::value_type Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::value_type

Definition at line 57 of file ITypedScalarProperty.h.

## Constructor & Destructor Documentation

## ITypedScalarProperty() [1/4]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty | ( |  | ) |

inline

Default constructor ...

Definition at line 100 of file ITypedScalarProperty.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< BooleanTPTraits >::ITypedScalarProperty().

Here is the caller graph for this function:

## ITypedScalarProperty() [2/4]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

inline

This constructor creates a new typed scalar property reader. The first argument is the ICompoundProperty parent, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify schema matching policy, and that's it.

Definition at line 107 of file ITypedScalarProperty.h.

## ITypedScalarProperty() [3/4]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty | ( | AbcA::ScalarPropertyReaderPtr | iProperty,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

inline

Explicitly wrap an existing property It will check the data type and also verify the schema, if requested.

Definition at line 152 of file ITypedScalarProperty.h.

## ITypedScalarProperty() [4/4]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty | ( | AbcA::ScalarPropertyReaderPtr | iProp,
|  | WrapExistingFlag | iWrapFlag,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

inline

Deprecated in favor of the constructor above.

Definition at line 180 of file ITypedScalarProperty.h.

## Member Function Documentation

## get()

template<class TRAITS>

void Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::get | ( | value_type & | iVal,
|  | const ISampleSelector & | iSS = ISampleSelector() ) const

inline

Get the typed sample. ...

Definition at line 194 of file ITypedScalarProperty.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< BooleanTPTraits >::getValue().

Here is the caller graph for this function:

## getInterpretation()

template<class TRAITS>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::getInterpretation | ( |  | ) |

inline static

Return the interpretation expected of this property. An empty interpretation matches everything

Definition at line 61 of file ITypedScalarProperty.h.

## getValue()

template<class TRAITS>

value_type Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::getValue | ( | const ISampleSelector & | iSS = ISampleSelector() | ) | const

inline

Return the typed sample by value. ...

Definition at line 202 of file ITypedScalarProperty.h.

## matches() [1/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::matches | ( | const AbcA::MetaData & | iMetaData,
|  | SchemaInterpMatching | iMatching = kStrictMatching )

inline static

This will check whether or not a given entity (as represented by a metadata) strictly matches the interpretation of this schema object

Definition at line 69 of file ITypedScalarProperty.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< BooleanTPTraits >::ITypedScalarProperty(), and Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< BooleanTPTraits >::ITypedScalarProperty().

Here is the caller graph for this function:

## matches() [2/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::matches | ( | const AbcA::PropertyHeader & | iHeader,
|  | SchemaInterpMatching | iMatching = kStrictMatching )

inline static

This will check whether or not a given object (as represented by an object header) strictly matches the interpretation of this schema object

Definition at line 83 of file ITypedScalarProperty.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/ITypedScalarProperty.h